## snake4 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
-# $Id: Makefile,v 1.15 1997/08/13 20:43:34 sverrehu Exp $
+# $Id: Makefile,v 1.18 2002/03/02 21:17:51 sverrehu Exp $
 PROG		= snake4
 DIST		= $(PROG)
 VERMAJ		= 1
 VERMIN		= 0
-VERPAT		= 10
+VERPAT		= 12
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 COMPILED_DATE	= `date '+%Y-%m-%d %H:%M:%S'`
 COMPILED_BY	= `whoami`
@@ -15,6 +15,7 @@
 # GNU/Linux at home
 INCDIR		= -I/local/include -I/usr/X11R6/include -I/local/include/X11
 LIBDIR		= -L/local/lib -L/usr/X11R6/lib -L/local/lib/X11
+EXTRA_LIBS	= -lXmu -lICE -lSM -lXext
 
 # Irix at Ifi
 ifeq ($(HOSTTYPE),sgi)
