=== debian/control ===
Source: snake4
Section: games
Priority: optional
Maintainer: Alexandre Dantas <alex.dantas92@gmail.com>
Build-Depends: debhelper (>= 9), libx11-dev, libxt-dev, libxaw7-dev, 
 libshhmsg1-dev, libshhopt1-dev, libxmu-dev, libxpm-dev
Standards-Version: 3.9.4
Homepage: http://shh.thathost.com/pub-unix/#snake4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/snake4.git
Vcs-Git: git://anonscm.debian.org/collab-maint/snake4.git

Package: snake4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Snake game
 This is a basic but nice implementation of the snake game. The objective
 is to "snake around" and eat fruit, while avoiding the evil headbanger
 and not crashing into your tail.
 .
 Features five levels of difficulty and a site-wide high score list.
 .
 Screenshot: http://screenshots.debian.net/screenshots/s/snake4/1555_large.png
