=== debian/watch ===
version=2
http://shh.thathost.com/pub-unix/ files/snake4-(.*)\.tar\.gz
