## snake4 1.0.14

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DIST		= $(PROG)
 VERMAJ		= 1
 VERMIN		= 0
-VERPAT		= 12
+VERPAT		= 14
 VERSION		= $(VERMAJ).$(VERMIN).$(VERPAT)
 COMPILED_DATE	= `date '+%Y-%m-%d %H:%M:%S'`
 COMPILED_BY	= `whoami`
@@ -89,7 +89,7 @@
 	$(CC) -o $@ -c $(CCOPT) $<
 
 clean:
-	rm -f *.o core depend *~
+	rm -f *.o core depend *~ $(PROG)
 
 install: $(PROG)
 	install -d -m 755 $(INSTBINDIR) $(INSTLIBDIR) $(INSTMANDIR)
@@ -110,7 +110,7 @@
 LSMFILE		= $(DIST)-$(VERSION).lsm
 DISTDIR		= $(DIST)-$(VERSION)
 DISTFILE	= $(DIST)-$(VERSION).tar.gz
-DISTFILES	= README INSTALL CREDITS TODO $(LSMFILE) $(DIST).6 \
+DISTFILES	= README.md INSTALL CREDITS TODO $(LSMFILE) $(DIST).6 \
 		  $(DIST).lsm.in ChangeLog Makefile $(SCOREBASEFILE) \
 		  $(SCOREBASEFILE).ifi \
 		  board.c fruit.c game.c gameobject.c headbanger.c \
@@ -122,7 +122,7 @@
 		  pixmaps
 BINDISTDIR	= $(DIST)-$(VERSION)-bin
 BINDISTFILE	= $(DIST)-$(VERSION)-bin.tar.gz
-BINDISTFILES	= README.static $(PROG).static $(PROG).6 \
+BINDISTFILES	= README.md.static $(PROG).static $(PROG).6 \
 		  Makefile.static $(SCOREBASEFILE)
 
 # Linux executable with my libraries and Xpm statically linked.
