=== debian/changelog ===
snake4 (1.0.14-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    - Removed patches incorporated by upstream:
      . 0001-Changed-point-from-xpm.h-to-X11-xpm.h-in-score.c-fil.patch
      . 0002-compiler-warnings-removed-in-score.c.patch
      . 0003-fix-minus-hyphen-in-manpage.patch
      . 0005-make-clean-now-removes-executable.patch
    - Renamed 0006-standard-install-directories.patch to
      standard-install-directories.patch
    - Split old patch 0004-hardening-flags-to-compiler.patch
      into hardening.patch and useless-linkage.patch

 -- Alexandre Dantas <eu@alexdantas.net>  Wed, 13 Aug 2014 19:16:09 -0400

snake4 (1.0.12-17) unstable; urgency=low

  [ Alexandre Dantas ]

  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Merged patches to install files on standard locations
  * Updated maintainer contact information

  [Joao Eriberto Mota Filho]

  * debian/watch: updated the version to 3.

 -- Alexandre Dantas <eu@alexdantas.net>  Mon, 04 Aug 2014 19:25:36 -0400

snake4 (1.0.12-16) unstable; urgency=low

  * Rebuild to unstable

 -- Alexandre Dantas <eu@alexdantas.net>  Thu, 02 May 2013 10:09:46 -0300
