=== debian/watch ===
version=3
http://shh.thathost.com/pub-unix/ files/snake4-(.*)\.tar\.gz
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/alexdantas/snake4/tags .*/v?(\d\S*)\.tar\.gz
